=== modified file 'include/my_sys.h'
--- include/my_sys.h	2008-07-17 17:44:14 +0000
+++ include/my_sys.h	2008-07-20 06:58:06 +0000
@@ -34,7 +34,6 @@
 #include <stdarg.h>
 #include <typelib.h>
 
-#define MYSYS_PROGRAM_DONT_USE_CURSES()  { error_handler_hook = my_message_no_curses; mysys_uses_curses=0;}
 #define MY_INIT(name);		{ my_progname= name; my_init(); }
 
 #define ERRMSGSIZE	(SC_MAXWIDTH)	/* Max length of a error message */

=== modified file 'server/drizzled.cc'
--- server/drizzled.cc	2008-07-18 18:22:09 +0000
+++ server/drizzled.cc	2008-07-20 06:58:06 +0000
@@ -2119,7 +2119,6 @@
     return 1;
   if (init_replication_sys_vars())
     return 1;
-  mysys_uses_curses=0;
   /*
     Process a comma-separated character set list and choose
     the first available character set. This is mostly for

=== modified file 'server/init.cc'
--- server/init.cc	2008-07-09 20:29:50 +0000
+++ server/init.cc	2008-07-20 06:58:06 +0000
@@ -26,7 +26,6 @@
 
 void unireg_init(ulong options)
 {
-  MYSYS_PROGRAM_DONT_USE_CURSES();
   abort_loop=0;
 
   my_disable_async_io=1;		/* aioread is only in shared library */

=== modified file 'server/sql_bitmap.h'
--- server/sql_bitmap.h	2008-07-13 22:45:08 +0000
+++ server/sql_bitmap.h	2008-07-20 06:58:06 +0000
@@ -62,15 +62,15 @@
   }
   void subtract(Bitmap& map2) { bitmap_subtract(&map, &map2.map); }
   void merge(Bitmap& map2) { bitmap_union(&map, &map2.map); }
-  my_bool is_set(uint n) const { return bitmap_is_set(&map, n); }
-  my_bool is_set() const { return !bitmap_is_clear_all(&map); }
-  my_bool is_prefix(uint n) const { return bitmap_is_prefix(&map, n); }
-  my_bool is_clear_all() const { return bitmap_is_clear_all(&map); }
-  my_bool is_set_all() const { return bitmap_is_set_all(&map); }
-  my_bool is_subset(const Bitmap& map2) const { return bitmap_is_subset(&map, &map2.map); }
-  my_bool is_overlapping(const Bitmap& map2) const { return bitmap_is_overlapping(&map, &map2.map); }
-  my_bool operator==(const Bitmap& map2) const { return bitmap_cmp(&map, &map2.map); }
-  my_bool operator!=(const Bitmap& map2) const { return !bitmap_cmp(&map, &map2.map); }
+  bool is_set(uint n) const { return bitmap_is_set(&map, n); }
+  bool is_set() const { return !bitmap_is_clear_all(&map); }
+  bool is_prefix(uint n) const { return bitmap_is_prefix(&map, n); }
+  bool is_clear_all() const { return bitmap_is_clear_all(&map); }
+  bool is_set_all() const { return bitmap_is_set_all(&map); }
+  bool is_subset(const Bitmap& map2) const { return bitmap_is_subset(&map, &map2.map); }
+  bool is_overlapping(const Bitmap& map2) const { return bitmap_is_overlapping(&map, &map2.map); }
+  bool operator==(const Bitmap& map2) const { return bitmap_cmp(&map, &map2.map); }
+  bool operator!=(const Bitmap& map2) const { return !bitmap_cmp(&map, &map2.map); }
   Bitmap operator&=(uint n)
   {
     if (bitmap_is_set(&map, n))
@@ -177,13 +177,13 @@
   void intersect_extended(uint64_t map2) { map&= map2; }
   void subtract(Bitmap<64>& map2) { map&= ~map2.map; }
   void merge(Bitmap<64>& map2) { map|= map2.map; }
-  my_bool is_set(uint n) const { return test(map & (((uint64_t)1) << n)); }
-  my_bool is_prefix(uint n) const { return map == (((uint64_t)1) << n)-1; }
-  my_bool is_clear_all() const { return map == (uint64_t)0; }
-  my_bool is_set_all() const { return map == ~(uint64_t)0; }
-  my_bool is_subset(const Bitmap<64>& map2) const { return !(map & ~map2.map); }
-  my_bool is_overlapping(const Bitmap<64>& map2) const { return (map & map2.map)!= 0; }
-  my_bool operator==(const Bitmap<64>& map2) const { return map == map2.map; }
+  bool is_set(uint n) const { return test(map & (((uint64_t)1) << n)); }
+  bool is_prefix(uint n) const { return map == (((uint64_t)1) << n)-1; }
+  bool is_clear_all() const { return map == (uint64_t)0; }
+  bool is_set_all() const { return map == ~(uint64_t)0; }
+  bool is_subset(const Bitmap<64>& map2) const { return !(map & ~map2.map); }
+  bool is_overlapping(const Bitmap<64>& map2) const { return (map & map2.map)!= 0; }
+  bool operator==(const Bitmap<64>& map2) const { return map == map2.map; }
   char *print(char *buf) const { int64_t2str(map,buf,16); return buf; }
   uint64_t to_uint64_t() const { return map; }
 };

